
<script>
  // Faz uma requisicao e retorna o html da pagina
  function requestHTML(url) {
    return fetch(url)
      .then(response => {
        if (!response.ok) {
          throw new Error(`Erro ao buscar a página. Status de resposta: ${response.status}`);
        }
        return response.text();
      })
      .then(html => {
        return html;
      })
      .catch(error => {
        throw new Error(`Erro ao buscar a página: ${error.message}`);
      });
  }

  // Gera os componentes de noticia e retorna o html pronto
  function getNoticias(url, href, descButton, originalHTML) {

    const tempElement = document.createElement('div');
    tempElement.innerHTML = originalHTML;

    const originalNewsElements = tempElement.querySelectorAll('.card--post');
    const resultHTMLArray = [];
    let count = 0;
    originalNewsElements.forEach(originalNewsElement => {
      const href_noticia = originalNewsElement.querySelector('.card__link').getAttribute('href');
      const titulo_noticia = originalNewsElement.querySelector('.card__title').textContent;
      const paiImagem = originalNewsElement.querySelector('.ql-editor-display');
      const url_img = paiImagem.querySelector('img').getAttribute('src');

      const newHTML = `
      <a
        class="news-card__list__item"
        href="${href_noticia}"
      >
        <img
          src="${url_img}"
        />
        <div class="news-card__list__item__overlay">
          ${titulo_noticia}
        </div>
      </a>
      `;
      count += 1;
      if (resultHTMLArray.length >= 2){
        buttonMore = `</div></section>
                          <div class="more-news-button-container">
                      <a
                        class="br-button primary mr-3"
                        type="button"
                        href="${href}"
                        >${descButton}</a
                      >
                    </div>`;
        
        if (resultHTMLArray.length <= 2)                    
          resultHTMLArray.push(buttonMore);

        const resultHTML = resultHTMLArray.join('\n');

        return resultHTML;
      }
      else
        resultHTMLArray.push(newHTML);
    });

    if (count == 0)
      return "error";

    let resultHTML = resultHTMLArray.join('\n');
    resultHTML += "</div></section>";
    return resultHTML;
  }

  // Chama a funcao requestHTML e a getNoticias de maneira assincrona
  // !!!!SO PRECISA CHAMAR ESSA FUNCAO PARA GERAR AS NOTICIAS!!!!
  function gerenciaNoticias(url, href, title, descButton){
    requestHTML(url)
      .then(html => {
        return getNoticias(url, href, descButton, html);
      })
      .then(responseNoticias => {
        if (responseNoticias !== "error") {
          let contentNoticiais = `<section class="news-card">
                                    <span class="home-section-title">${title}</span>
                                      <div class="news-card__list br-container-lg">`;
          contentNoticiais += responseNoticias;

          const confNoticias = document.querySelector('#confnoticias');

          if (confNoticias) {
            confNoticias.innerHTML = contentNoticiais;
          } else {
            console.error('Elemento com id "confnoticias" não encontrado.');
          }
        } else {
          console.error('Erro ao buscar notícias.');
        }
      })
      .catch(error => {
        console.error('Erro:', error);
      });
  }

</script>

<style>
  /* NOTICIAS */
  
  .news-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 100%;
    overflow: auto;
    background: var(--gray-2);
    padding: 2rem 0 3rem 0;
    gap: 2rem;
  }

  .news-card__title {
    color: #242020;
    font-size: 1.5rem;
    font-weight: 600;
    margin-bottom: 1.75rem;
    margin-top: 2.5rem;
    text-align: center;
  }

  .news-card__list {
    display: flex;
    height: 380px;
    flex-direction: row;
    gap: 0 3rem;
    overflow: hidden;
  }

  .news-card__list__item {
    position: relative;
    cursor: pointer;
    max-width: 620px;
  }

  .news-card__list__item__overlay {
    position: absolute;
    width: 100%;
    color: var(--color-primary-darken-01);
    text-align: left;
    font-size: 1.3rem;
    line-height: 1.4;
    font-weight: 600;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.5rem 0;
  }

  .news-card__list__item__overlay:hover {
    color: var(--color-primary-default);
  }

  /* FIM NOTICIAS */
</style>